﻿using System.Collections.Generic;

namespace CommandTagLauncher
{
	public class CommandComparer : IComparer<Command>
	{
		#region IComparer<Command> メンバ

		int IComparer<Command>.Compare( Command x, Command y )
		{
			int result = y.LastExecutedTime.CompareTo( x.LastExecutedTime );

			if ( result == 0 )
			{
				return x.Name.CompareTo( y.Name );
			}

			return result;
		}

		#endregion
	}
}
