﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace CommandTagLauncher
{
	public class ViewOptions
	{
		private Color textBackColor = Color.Black;

		public Color TextBackColor
		{
			get { return textBackColor; }
			set { textBackColor = value; }
		}

		private Color textForeColor = Color.White;

		public Color TextForeColor
		{
			get { return textForeColor; }
			set { textForeColor = value; }
		}

		private Font font = new Font( "MS UI Gothic", 12 );

		public Font Font
		{
			get { return font; }
			set { font = value; }
		}

		private bool informationPanelCollapsed = false;

		public bool InformationPanelCollapsed
		{
			get { return informationPanelCollapsed; }
			set { informationPanelCollapsed = value; }
		}
	}
}
