﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledFilterListBox : LabeledControl
	{
		public LabeledFilterListBox()
		{
			InitializeComponent();

			filterListBoxContent = new FilterListBox();

			SetContent( filterListBoxContent );

			TitleSectionLocation = TitleSectionLocation.Top;
		}

		private FilterListBox filterListBoxContent;

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public FilterListBox FilterListBox
		{
			get { return filterListBoxContent; }
		}
	}
}
