﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledKeysInput : LabeledControl
	{
		public LabeledKeysInput()
		{
			InitializeComponent();

			keysInputContent = new KeysInput();

			SetContent( keysInputContent );
		}

		private KeysInput keysInputContent;

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public KeysInput KeysInput
		{
			get { return keysInputContent; }
		}

	}
}
