﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledListBox : LabeledControl
	{
		public LabeledListBox()
		{
			InitializeComponent();

			listBoxContent = new ListBox();

			SetContent( listBoxContent );
		}

		private ListBox listBoxContent;

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public ListBox ListBox
		{
			get { return listBoxContent; }
		}
	}
}
