﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledTextBox : LabeledControl
	{
		public LabeledTextBox()
		{
			InitializeComponent();

			textBoxContent = new TextBox();

			SetContent( textBoxContent );
		}

		private TextBox textBoxContent;

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public TextBox TextBox
		{
			get { return textBoxContent; }
		}
	}
}
