﻿using System.Collections.Generic;
using System.Collections;

namespace CommandTagLauncher
{
	public class ItemComparer : IComparer
	{
		#region IComparer メンバ

		private IComparer<Command> commandComparer = new CommandComparer();

		public int Compare( object x, object y )
		{
			if ( x is Command && y is Command )
			{
				return commandComparer.Compare( ( Command )x, ( Command )y );
			}

			return x.ToString().CompareTo( y.ToString() );
		}

		#endregion
	}
}
