﻿using System;
using System.Windows.Forms;

namespace CommandTagLauncher
{
	public partial class TagListForm : Form
	{
		public TagListForm()
		{
			InitializeComponent();
		}

		public void SetContents( string[] contents )
		{
			listBoxTags.Items.AddRange( contents );
		}

		private string result = string.Empty;

		public string Result
		{
			get { return result; }
		}

		private void listBoxTags_Click( object sender, EventArgs e )
		{
			CheckAndReturn();
		}

		private void listBoxTags_KeyDown( object sender, KeyEventArgs e )
		{
			if ( e.KeyData == Keys.Enter )
			{
				CheckAndReturn();
			}
		}

		private void CheckAndReturn()
		{
			if ( -1 < listBoxTags.SelectedIndex )
			{
				SetResultAndReturnOK();
			}
		}

		private void SetResultAndReturnOK()
		{
			SetResult();

			this.DialogResult = DialogResult.OK;
		}

		private void SetResult()
		{
			result = ( string )listBoxTags.SelectedItem;
		}
	}
}
