﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ActiveTest
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void systemHotKey1_Pressed( object sender, EventArgs e )
		{
			this.Visible = !this.Visible;
		}

		private void systemHotKey1_HotKeyChanged( object sender, EventArgs e )
		{
			this.Text = systemHotKey1.HotKey.ToString();
		}

		private void Form1_Load( object sender, EventArgs e )
		{
			systemHotKey1.HotKey = Keys.None;
		}

		private void button1_Click( object sender, EventArgs e )
		{
			systemHotKey1.HotKey = Keys.Control | Keys.A;
		}

		private void systemHotKey1_RegisterHotKeyFailed( object sender, Tomham.Windows.Forms.RegisterHotKeyFailedEventArgs e )
		{
			MessageBox.Show( e.FailedKey.ToString() );
		}

		private void systemHotKey1_UnRegisterHotKeyFailed( object sender, Tomham.Windows.Forms.UnRegisterHotKeyFailedEventArgs e )
		{
			MessageBox.Show( e.FailedKey.ToString() );
		}

		private void button2_Click( object sender, EventArgs e )
		{
			systemHotKey1.Enabled = !systemHotKey1.Enabled;
		}
	}
}
