﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public static class KeysHelper
	{
		public static bool ContainsShift( Keys keys )
		{
			return Contains( keys, Keys.Shift );
		}

		public static bool ContainsControl( Keys keys )
		{
			return Contains( keys, Keys.Control );
		}

		public static bool ContainsAlt( Keys keys )
		{
			return Contains( keys, Keys.Alt );
		}

		private static bool Contains( Keys keys, Keys modifier )
		{
			return ( modifier & keys ) == modifier;
		}
	}
}
